--- title: "Remove Channel Leader" slug: "remove-channel-leader" updated: 2026-09-03T14:50:33Z published: 2026-09-03T14:50:33Z canonical: "developer.rocket.chat/remove-channel-leader" stale: true --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Remove Channel Leader Post/api/v1/channels.removeLeader Remove the `leader` role from a user in a channel. Permission required: `set-leader` . ### Changelog | Version | Description | | --- | --- | | 0.75.0 | Added | Header parametersX-Auth-TokenstringRequired The `authToken` of the authenticated user. ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f X-User-IdstringRequired The `userId` of the authenticated user. ExamplerbAXPnMktTFbNpwtJ Body parametersExample ```json { "roomId": "ByehQjC44FwMeiLbX", "userId": "oCHkav5Zf6vmpu2W2" } ``` object roomIdstring Required The channel's id userIdstring Required The user's id Responses200 OK Success ```json { "success": true } ``` object successboolean 400 Bad Request User is not a leader ```json { "success": false, "error": "User is not a leader [error-user-not-leader]", "errorType": "error-user-not-leader" } ``` object successboolean errorstring errorTypestring 401 Unauthorized Authorization Error ```json { "status": "error", "message": "You must be logged in to do this." } ``` object statusstring messagestring